diff -urN setup-3.3.1/doc.en/metaconfapi.html setup-mod/doc.en/metaconfapi.html
--- setup-3.3.1/doc.en/metaconfapi.html	2004-10-02 05:12:10.000000000 -0600
+++ setup-mod/doc.en/metaconfapi.html	2005-05-09 23:45:51.000000000 -0600
@@ -40,6 +40,17 @@
 DESCRIPTION is the short description of this option
 which is used from <code>--help</code> global option.
 </p>
+</dd>
+
+<dt><code>add_script_extension(ext)</code></dt>
+<dd>
+<p>
+ext: String<br>
+</p>
+
+<p>
+adds an extension to the list of files that will be installed in ruby_libdir
+</p>
 
 </dd>
 <dt><code>set_config_default(confname, <var>val</var>)</code></dt>
diff -urN setup-3.3.1/doc.en/metaconfapi.html~ setup-mod/doc.en/metaconfapi.html~
--- setup-3.3.1/doc.en/metaconfapi.html~	1969-12-31 17:00:00.000000000 -0700
+++ setup-mod/doc.en/metaconfapi.html~	2005-05-09 23:45:49.000000000 -0600
@@ -0,0 +1,84 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html lang="en">
+<head>
+  <meta http-equiv="Content-Type" content="text/html; charset=us-ascii">
+  <meta http-equiv="Content-Language" content="en">
+<title>metaconfig API</title>
+</head>
+<body>
+
+<h1>metaconfig API</h1>
+
+<dl>
+<dt><code>add_path_config(confname, <var>default</var>, <var>description</var>)</code></dt>
+<dd>
+<p>
+confname: String<br>
+default: String<br>
+description: String<br>
+</p>
+
+<p>
+defines a path config option CONFNAME.
+DEFAULT is the default value of this option.
+DESCRIPTION is the short description of this option
+which is used from <code>--help</code> global option.
+</p>
+
+</dd>
+<dt><code>add_bool_config(confname, <var>default</var>, <var>description</var>)</code></dt>
+<dd>
+<p>
+confname: String<br>
+default: String<br>
+description: String<br>
+</p>
+
+<p>
+defines a bool config option CONFNAME.
+DEFAULT is the default value of this option.
+DESCRIPTION is the short description of this option
+which is used from <code>--help</code> global option.
+</p>
+</dd>
+
+<dt><code>add_script_extension(ext)</code></dt>
+<dd>
+<p>
+ext: String<br>
+</p>
+
+<p>
+adds an extension to the list of files that will be installed in ruby_libdir
+</p>
+
+</dd>
+<dt><code>set_config_default(confname, <var>val</var>)</code></dt>
+<dd>
+<p>
+confname: String<br>
+val: String | bool<br>
+</p>
+
+<p>
+set default value of config CONFNAME to VAL.
+If CONFNAME is a bool config, VAL should be boolean.
+Else VAL should be a String.
+</p>
+
+</dd>
+<dt><code>remove_config(confname)</code></dt>
+<dd>
+<p>
+confname: String<br>
+</p>
+<p>
+removes config entry CONFNAME from the installer completely.
+You must use this method at your own lisk. For example,
+<code>remove_config("prefix")</code> causes fatal error.
+</p>
+</dd>
+</dl>
+
+</body>
+</html>
diff -urN setup-3.3.1/doc.ja/metaconfapi.html setup-mod/doc.ja/metaconfapi.html
--- setup-3.3.1/doc.ja/metaconfapi.html	2004-10-02 05:12:10.000000000 -0600
+++ setup-mod/doc.ja/metaconfapi.html	2005-05-09 23:47:47.000000000 -0600
@@ -40,6 +40,17 @@
 <code>description</code> $B$O%X%k%W%a%C%;!<%8$KI=<($9$k$?$a$N(B
 $BC;$$@bL@$G$9!#(B
 </p>
+</dd>
+
+<dt><code>add_script_extension(ext)</code></dt>
+<dd>
+<p>
+ext: String
+</p>
+
+<p>
+See English docs. FIXME
+</p>
 
 </dd>
 <dt><code>set_config_default(confname, <var>val</var>)</code></dt>
diff -urN setup-3.3.1/setup.rb setup-mod/setup.rb
--- setup-3.3.1/setup.rb	2004-10-02 05:06:09.000000000 -0600
+++ setup-mod/setup.rb	2005-05-09 23:44:21.000000000 -0600
@@ -188,8 +188,11 @@
     ALIASES.each do |ali, name|
       @table[ali] = @table[name]
     end
+		@script_extensions = ['rb']
   end
 
+	attr_accessor :script_extensions
+
   include Enumerable
 
   def each(&block)
@@ -430,6 +433,9 @@
     ConfigTable.remove(name)
   end
 
+	def add_script_extension(ext)
+		ConfigTable.script_extensions << ext
+	end
 end
 
 
@@ -1195,7 +1201,7 @@
   end
 
   def ruby_scripts
-    collect_filenames_auto().select {|n| /\.rb\z/ =~ n }
+    collect_filenames_auto().select {|n| /\.(#{ConfigTable.script_extensions.join('|')})\z/ =~ n }
   end
   
   # picked up many entries from cvs-1.11.1/src/ignore.c
